post
https://api.sumsub.com/resources/applicantActions//review/status/pending
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Use this method to request an applicant action check. In effect, you set the action review status to pending, so the action is ready to be processed.
Request example
curl -X POST \
'https://api.sumsub.com/resources/applicantActions/5e022e0f0a975a45325c7ff5/review/status/pending' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>'Response explained
The response is a JSON object that represents the applicant action with augmented and structured information.
You can overview the response structure and possible content with description on this page.
NoteTo retrieve action check results, use the Get action information method.
Response example
The following is a response example. The object of interest is review that includes the reviewResult and reviewAnswer fields.
{
"id": "668cc68dbd53cc0000000000",
"createdAt": "2024-07-09 05:11:41",
"clientId": "yourCoolId",
"externalActionId": "123",
"applicantId": "63e096c51b6b400000000000",
"review": {
"reviewId": "IUeLG",
"attemptId": "wLjuf",
"attemptCnt": 1,
"elapsedSincePendingMs": 82,
"levelName": "action-level-name",
"createDate": "2024-07-09 10:24:26+0000",
"reviewResult": {
"reviewAnswer": "GREEN"
},
"reviewStatus": "completed"
},
"checks": [
{
"answer": "GREEN",
"checkType": "PAYMENT_METHOD",
"createdAt": "2024-07-09 10:24:26",
"id": "b802aed3-0dd5-45b8-b9a2-7094cc7ede95",
"attemptId": "RYyLx"
}
],
"requiredIdDocs": {
"docSets": [
{
"idDocSetType": "PAYMENT_METHODS",
"types": [ "PAYMENT_METHOD" ],
}
]
},
"paymentMethod": {
"type": "bankCard",
"subType": "VISA",
"data": {
"requiredIdDoc": {
"firstName": "John",
"lastName": "Doe",
"txnAmount": "100"
}
}
},
"reviewResult": {
"reviewAnswer": "GREEN"
}
}